﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class ProductInfo : INotifyPropertyChanged
    {
        #region private members

        private int _orderID;
        private int _ProductID;
        private double _discount;
        private string _country;

        #endregion

        #region public properties
        public int OrderID
        {
            get
            {
                return _orderID;
            }
            set
            {
                _orderID = value;
                RaisePropertyChanged("OrderID");
            }
        }

        public double Discount
        {
            get
            {
                return _discount;
            }
            set
            {
                _discount = value;
                RaisePropertyChanged("Discount");
            }
        }

        public int ProductID
        {
            get
            {
                return _ProductID;
            }
            set
            {
                _ProductID = value;
                RaisePropertyChanged("ProductID");
            }
        }

        public string Country
        {
            get
            {
                return _country;
            }
            set
            {
                _country = value;
                RaisePropertyChanged("City");
            }
        }
        #endregion

        public event PropertyChangedEventHandler PropertyChanged;
        protected void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
